- Main Page
- Namespaces
- Classes
- Files
- Directories

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# AlertDlg Class Reference

`#include <AlertDlg.h>`

Inheritance diagram for AlertDlg:

List of all members.

## Public Slots
virtual void | slotOk ()
## Public Member Functions
| AlertDlg (TQWidget *parent=0, const char *name=0, bool modal=FALSE, WFlags fl=0)
| ~AlertDlg ()
## Public Attributes
TQPushButton * | m_ButtonIgnore
TQPushButton * | m_ButtonOk
TQLabel * | PixmapLabel2
TQLabel * | TQLabel_1
TQLabel * | TQLabel_2
## Protected Slots
virtual void | languageChange ()
## Protected Attributes
TQGridLayout * | AlertDlgLayout
## Private Attributes
TQPixmap | image0

## Constructor & Destructor Documentation

AlertDlg::AlertDlg | ( | TQWidget * | parent = `0`,
|  | const char * | name = `0`,
|  | bool | modal = `FALSE`,
|  | WFlags | fl = `0` |
| ) |  |  |

AlertDlg::~AlertDlg | ( |  | ) |

## Member Function Documentation

void AlertDlg::slotOk | ( |  | ) | `[virtual, slot]`

Reimplemented in AlertDialog.

void AlertDlg::languageChange | ( |  | ) | `[protected, virtual, slot]`

## Member Data Documentation

TQPushButton* AlertDlg::m_ButtonIgnore

TQPushButton* AlertDlg::m_ButtonOk

TQLabel* AlertDlg::PixmapLabel2

TQLabel* AlertDlg::TQLabel_1

TQLabel* AlertDlg::TQLabel_2

TQGridLayout* AlertDlg::AlertDlgLayout`[protected]`

TQPixmap AlertDlg::image0`[private]`

The documentation for this class was generated from the following files:

- Daten/Documents/programmieren/kshowmail/kshowmail/kshowmail/AlertDlg.h
- Daten/Documents/programmieren/kshowmail/kshowmail/kshowmail/AlertDlg.cpp